<?php

namespace Layerdrops\Ostech\Widgets;


class Shop extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-shop';
    }

    public function get_title()
    {
        return __('Shop', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                    'layout_two' => __('Layout Two', 'ostech-addon'),
                    // 'layout_three' => __('Layout Three', 'ostech-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include  ostech_get_elementor_option('shop-option.php');
        include  ostech_get_elementor_option('shop-option-two.php');
        // include  ostech_get_elementor_option('shop-option-three.php');


        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title,{{WRAPPER}} .sec-title-two__title', ['layout_one', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title-two__tagline', ['layout_one', 'layout_three']);

        ostech_elementor_general_style_options($this, 'Product Title', '{{WRAPPER}} .product__item__title a,{{WRAPPER}} .product__item__two__title a', ['layout_one', 'layout_three']);
        ostech_elementor_general_style_options($this, 'Product Price', '{{WRAPPER}} .product__item__price,{{WRAPPER}} .product__item__two__price', ['layout_one', 'layout_three']);

        $this->end_controls_section();

        //Button Style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .product__item .thm-btn', '{{WRAPPER}} .thm-btn::before', ['layout_one']);

        $this->end_controls_section();

        ostech_get_elementor_carousel_options($this, ['layout_two', 'layout_three']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('shop-one.php');
        include ostech_get_template('shop-two.php');
        // include ostech_get_template('shop-three.php');
    }
}
